Package de.willuhn.jameica.hbci.rmi

# Interface Konto

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `Checksum`, `de.willuhn.datasource.rmi.DBObject`, `Flaggable`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `KontoImpl`

public interface Konto extends HibiscusDBObject, Checksum, Flaggable
Bildet eine Bankverbindung in HBCI ab.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FLAG_DISABLED`
Flag "Deaktiviert".
`static final int`
`FLAG_NONE`
Flag "kein Flag".
`static final int`
`FLAG_OFFLINE`
Flag "Offline".

## Method Summary

Modifier and Type
Method
Description
`void`
`addToProtokoll(String kommentar, int protokollTyp)`
Fuegt den uebergebenen Text zum Konto-Protokoll hinzu.
`Integer`
`getAccountType()`
Liefert die Kontoart.
`de.willuhn.datasource.rmi.DBIterator`
`getAuslandsUeberweisungen()`
Liefert eine Liste aller Auslandsueberweisungen, die ueber dieses Konto getaetigt wurden.
`String`
`getBackendClass()`
Liefert die Java-Klasse des zu verwendenden Backends.
`String`
`getBezeichnung()`
Liefert die Bezeichnung des Kontos.
`String`
`getBic()`
Liefert die BIC.
`String`
`getBLZ()`
Liefert die Bankleitzahl fuer diese Bankverbindung.
`de.willuhn.datasource.rmi.DBIterator`
`getDauerauftraege()`
Liefert alle Dauerauftraege, die fuer das Konto vorliegen.
`String`
`getIban()`
Liefert die IBAN.
`String`
`getKategorie()`
Liefert einen Freitext mit der Kategorie.
`String`
`getKommentar()`
Liefert einen zusaetzlichen Kommentar fuer das Konto.
`de.willuhn.datasource.rmi.DBIterator`
`getKontoauszuege()`
Liefert die Liste der Kontoauszuege.
`String`
`getKontonummer()`
Liefert die Kontonummer fuer diese Bankverbindung.
`String`
`getKundennummer()`
Liefert die Kundennummer bei der Bank.
`de.willuhn.datasource.rmi.DBIterator`
`getLastschriften()`
Liefert alle Lastschriften, die fuer das Konto vorliegen.
`String`
`getLongName()`
Liefert eine ausfuehrliche Bezeichnung des Kontos bestehend aus Bezeichnung, Kto und BLZ.
`String`
`getName()`
Liefert den Namen des Konto-Inhabers.
`int`
`getNumUmsaetze()`
Liefert die Anzahl der Umsaetze auf dem Konto.
`String`
`getPassportClass()`
Liefert die Java-Klasse des zu verwendenden Passports.
`de.willuhn.datasource.rmi.DBIterator`
`getProtokolle()`
Liefert die HBCI-Protokollierung des Kontos in Form einer Liste von Protokoll-Objekten.
`double`
`getSaldo()`
Liefert den Saldo des Kontos oder `0.0` wenn er noch nie abgefragt wurde.
`double`
`getSaldoAvailable()`
Liefert den verfuegbaren Betrag auf dem Konto.
`Date`
`getSaldoDatum()`
Liefert das Datum des aktuellen Saldos oder `null` wenn er noch nie abgefragt wurde.
`de.willuhn.datasource.rmi.DBIterator`
`getSammelLastschriften()`
Liefert alle Sammel-Lastschriften, die fuer das Konto vorliegen.
`de.willuhn.datasource.rmi.DBIterator`
`getSammelUeberweisungen()`
Liefert alle Sammel-Ueberweisungen, die fuer das Konto vorliegen.
`de.willuhn.datasource.rmi.DBIterator`
`getSepaDauerauftraege()`
Liefert alle SEPA-Dauerauftraege, die fuer das Konto vorliegen.
`de.willuhn.datasource.rmi.DBIterator`
`getSepaLastschriften()`
Liefert eine Liste aller SEPA-Lastschriften, die ueber dieses Konto getaetigt wurden.
`de.willuhn.datasource.rmi.DBIterator`
`getSepaSammelLastschriften()`
Liefert eine Liste aller SEPA-Sammellastschriften, die ueber dieses Konto getaetigt wurden.
`de.willuhn.datasource.rmi.DBIterator`
`getSepaSammelUeberweisungen()`
Liefert eine Liste aller SEPA-Sammelueberweisungen, die ueber dieses Konto getaetigt wurden.
`de.willuhn.datasource.rmi.DBIterator`
`getUeberweisungen()`
Liefert eine Liste aller Ueberweisungen, die ueber dieses Konto getaetigt wurden.
`de.willuhn.datasource.rmi.DBIterator`
`getUmsaetze()`
Liefert eine Liste aller Umsaetze fuer das Konto in umgekehrter chronologischer Reihenfolge.
`de.willuhn.datasource.rmi.DBIterator`
`getUmsaetze(int days)`
Liefert eine Liste aller Umsaetze fuer die letzten x Tage.
`de.willuhn.datasource.rmi.DBIterator`
`getUmsaetze(Date start, Date end)`
Liefert eine Liste aller Umsaetze fuer den vorgegebenen Zeitraum.
`de.willuhn.datasource.rmi.DBIterator`
`getUmsatzTypen()`
Liefert die Liste der fest zugeordneten Umsatzkategorien.
`String`
`getUnterkonto()`
Liefert die Unterkonto-Nummer.
`String`
`getWaehrung()`
Liefert die Waehrungs-Bezeichnung der Bankverbindung.
`void`
`reset()`
Setzt das Saldo und Datum zurück
`void`
`setAccountType(Integer i)`
Speichert die Kontoart.
`void`
`setBackendClass(String backend)`
Speichert die Java-Klasse des zu verwendenden Backends.
`void`
`setBezeichnung(String bezeichnung)`
Speichert die Bezeichnung des Kontos.
`void`
`setBic(String bic)`
Speichert die BIC.
`void`
`setBLZ(String blz)`
Speichert die Bankleitzahl der Bankverbindung.
`void`
`setIban(String iban)`
Speichert die IBAN.
`void`
`setKategorie(String kategorie)`
Speichert die Kategorie.
`void`
`setKommentar(String kommentar)`
Speichert einen zusaetzlichen Kommentar fuer das Konto.
`void`
`setKontonummer(String kontonummer)`
Speichert die Kontonummer der Bankverbindung.
`void`
`setKundennummer(String kundennummer)`
Speichert die Kundennummer.
`void`
`setName(String name)`
Speichert den Namen des Konto-Inhabers.
`void`
`setPassportClass(String passport)`
Speichert den Namen der Java-Klasse des zu verwendenden Passports.
`void`
`setSaldo(double saldo)`
Speichert den neuen Saldo.
`void`
`setSaldoAvailable(double saldo)`
Speichert den verfuegbaren Betrag auf dem Konto.
`void`
`setUnterkonto(String unterkonto)`
Speichert das Unterkonto.
`void`
`setWaehrung(String waehrung)`
Speichert die Waehrungsbezeichnung.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Checksum

`getChecksum`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Flaggable

`getFlags, hasFlag, setFlags`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Field Details

### FLAG_NONE

static final int FLAG_NONE
Flag "kein Flag".

See Also:
  - Constant Field Values

### FLAG_DISABLED

static final int FLAG_DISABLED
Flag "Deaktiviert".

See Also:
  - Constant Field Values

### FLAG_OFFLINE

static final int FLAG_OFFLINE
Flag "Offline".

See Also:
  - Constant Field Values

## Method Details

### getKontonummer

String getKontonummer() throws RemoteException
Liefert die Kontonummer fuer diese Bankverbindung.

Returns:
  Kontonummer.
Throws:
  `RemoteException`

### getUnterkonto

String getUnterkonto() throws RemoteException
Liefert die Unterkonto-Nummer. BUGZILLA 355

Returns:
  Unterkonto-Nummer.
Throws:
  `RemoteException`

### getBLZ

String getBLZ() throws RemoteException
Liefert die Bankleitzahl fuer diese Bankverbindung.

Returns:
  Bankleitzahl.
Throws:
  `RemoteException`

### getName

String getName() throws RemoteException
Liefert den Namen des Konto-Inhabers.

Returns:
  Name des Konto-Inhabers.
Throws:
  `RemoteException`

### getLongName

String getLongName() throws RemoteException
Liefert eine ausfuehrliche Bezeichnung des Kontos bestehend aus Bezeichnung, Kto und BLZ.

Returns:
  ausfuehrliche Bezeichnung.
Throws:
  `RemoteException`

### getBezeichnung

String getBezeichnung() throws RemoteException
Liefert die Bezeichnung des Kontos.

Returns:
  Bezeichnung des Kontos.
Throws:
  `RemoteException`

### getKundennummer

String getKundennummer() throws RemoteException
Liefert die Kundennummer bei der Bank.

Returns:
  Kundennummer.
Throws:
  `RemoteException`

### getPassportClass

String getPassportClass() throws RemoteException
Liefert die Java-Klasse des zu verwendenden Passports. Dieser kann anschliessend mittels `PassportRegistry#findByClass(String)` geladen werden.

Returns:
  Java-Klasse des Passports.
Throws:
  `RemoteException`

### getBackendClass

String getBackendClass() throws RemoteException
Liefert die Java-Klasse des zu verwendenden Backends.

Returns:
  Java-Klasse des Backends.
Throws:
  `RemoteException`

### getAccountType

Integer getAccountType() throws RemoteException
Liefert die Kontoart. Kann NULL sein.

Returns:
  die Kontoart.
Throws:
  `RemoteException`

### getWaehrung

String getWaehrung() throws RemoteException
Liefert die Waehrungs-Bezeichnung der Bankverbindung.

Returns:
  Waehrungsbezeichnung.
Throws:
  `RemoteException`

### setKontonummer

void setKontonummer(String kontonummer) throws RemoteException
Speichert die Kontonummer der Bankverbindung.

Parameters:
  `kontonummer` - Kontonummer.
Throws:
  `RemoteException`

### setUnterkonto

void setUnterkonto(String unterkonto) throws RemoteException
Speichert das Unterkonto.

Parameters:
  `unterkonto` -
Throws:
  `RemoteException`

### setBLZ

void setBLZ(String blz) throws RemoteException
Speichert die Bankleitzahl der Bankverbindung.

Parameters:
  `blz` - Bankleitzahl.
Throws:
  `RemoteException`

### setName

void setName(String name) throws RemoteException
Speichert den Namen des Konto-Inhabers.

Parameters:
  `name` - Name des Konto-Inhaber.s
Throws:
  `RemoteException`

### setBezeichnung

void setBezeichnung(String bezeichnung) throws RemoteException
Speichert die Bezeichnung des Kontos.

Parameters:
  `bezeichnung` - Bezeichnung.
Throws:
  `RemoteException`

### setWaehrung

void setWaehrung(String waehrung) throws RemoteException
Speichert die Waehrungsbezeichnung.

Parameters:
  `waehrung` - Bezeichnung.
Throws:
  `RemoteException`

### setPassportClass

void setPassportClass(String passport) throws RemoteException
Speichert den Namen der Java-Klasse des zu verwendenden Passports.

Parameters:
  `passport` - Passport.
Throws:
  `RemoteException`

### setBackendClass

void setBackendClass(String backend) throws RemoteException
Speichert die Java-Klasse des zu verwendenden Backends.

Parameters:
  `backend` - Java-Klasse des Backends.
Throws:
  `RemoteException`

### setAccountType

void setAccountType(Integer i) throws RemoteException
Speichert die Kontoart. Kann NULL sein.

Parameters:
  `i` - die Kontoart.
Throws:
  `RemoteException`

### setKundennummer

void setKundennummer(String kundennummer) throws RemoteException
Speichert die Kundennummer.

Parameters:
  `kundennummer` - Kundennummer.
Throws:
  `RemoteException`

### getSaldo

double getSaldo() throws RemoteException
Liefert den Saldo des Kontos oder `0.0` wenn er noch nie abgefragt wurde.

Returns:
  Saldo des Kontos.
Throws:
  `RemoteException`

### setSaldo

void setSaldo(double saldo) throws RemoteException
Speichert den neuen Saldo.

Parameters:
  `saldo` - Neuer Saldo.
Throws:
  `RemoteException`

### getSaldoAvailable

double getSaldoAvailable() throws RemoteException
Liefert den verfuegbaren Betrag auf dem Konto. BUGZILLA 530

Returns:
  der verfuegbare Betrag auf dem Konto.
Throws:
  `RemoteException`

### setSaldoAvailable

void setSaldoAvailable(double saldo) throws RemoteException
Speichert den verfuegbaren Betrag auf dem Konto.

Parameters:
  `saldo` - der verfuegbare Betrag auf dem Konto.
Throws:
  `RemoteException`

### getSaldoDatum

Date getSaldoDatum() throws RemoteException
Liefert das Datum des aktuellen Saldos oder `null` wenn er noch nie abgefragt wurde.

Returns:
  Datum des Saldos.
Throws:
  `RemoteException`

### reset

void reset() throws RemoteException
Setzt das Saldo und Datum zurück

Throws:
  `RemoteException`

### getUmsaetze

de.willuhn.datasource.rmi.DBIterator getUmsaetze() throws RemoteException
Liefert eine Liste aller Umsaetze fuer das Konto in umgekehrter chronologischer Reihenfolge. Also die neuesten zuerst, die aeltesten zuletzt.

Returns:
  Umsatzliste.
Throws:
  `RemoteException`

### getUmsatzTypen

de.willuhn.datasource.rmi.DBIterator getUmsatzTypen() throws RemoteException
Liefert die Liste der fest zugeordneten Umsatzkategorien.

Returns:
  Liste der fest zugeordneten Umsatzkategorien.
Throws:
  `RemoteException`

### getNumUmsaetze

int getNumUmsaetze() throws RemoteException
Liefert die Anzahl der Umsaetze auf dem Konto.

Returns:
  Anzahl der Umsaetze auf dem Konto.
Throws:
  `RemoteException`

### getUmsaetze

de.willuhn.datasource.rmi.DBIterator getUmsaetze(int days) throws RemoteException
Liefert eine Liste aller Umsaetze fuer die letzten x Tage. Die neuesten zuerst, die aeltesten zuletzt.

Parameters:
  `days` - Anzahl der Tage.
Returns:
  Umsatzliste.
Throws:
  `RemoteException`

### getUmsaetze

de.willuhn.datasource.rmi.DBIterator getUmsaetze(Date start, Date end) throws RemoteException
Liefert eine Liste aller Umsaetze fuer den vorgegebenen Zeitraum. Die neuesten zuerst, die aeltesten zuletzt.

Parameters:
  `start` - Startdatum
  `end` - EndeDatum
Returns:
  Umsatzliste.
Throws:
  `RemoteException`

### getUeberweisungen

de.willuhn.datasource.rmi.DBIterator getUeberweisungen() throws RemoteException
Liefert eine Liste aller Ueberweisungen, die ueber dieses Konto getaetigt wurden.

Returns:
  Ueberweisungsliste.
Throws:
  `RemoteException`

### getAuslandsUeberweisungen

de.willuhn.datasource.rmi.DBIterator getAuslandsUeberweisungen() throws RemoteException
Liefert eine Liste aller Auslandsueberweisungen, die ueber dieses Konto getaetigt wurden.

Returns:
  Liste der Auslandsueberweisungen.
Throws:
  `RemoteException`

### getSepaLastschriften

de.willuhn.datasource.rmi.DBIterator getSepaLastschriften() throws RemoteException
Liefert eine Liste aller SEPA-Lastschriften, die ueber dieses Konto getaetigt wurden.

Returns:
  Liste der SEPA-Lastschriften.
Throws:
  `RemoteException`

### getSepaSammelLastschriften

de.willuhn.datasource.rmi.DBIterator getSepaSammelLastschriften() throws RemoteException
Liefert eine Liste aller SEPA-Sammellastschriften, die ueber dieses Konto getaetigt wurden.

Returns:
  Liste der SEPA-Sammellastschriften.
Throws:
  `RemoteException`

### getSepaSammelUeberweisungen

de.willuhn.datasource.rmi.DBIterator getSepaSammelUeberweisungen() throws RemoteException
Liefert eine Liste aller SEPA-Sammelueberweisungen, die ueber dieses Konto getaetigt wurden.

Returns:
  Liste der SEPA-Sammelueberweisungen.
Throws:
  `RemoteException`

### getDauerauftraege

de.willuhn.datasource.rmi.DBIterator getDauerauftraege() throws RemoteException
Liefert alle Dauerauftraege, die fuer das Konto vorliegen. Dabei werden auch jene geliefert, die lokal erstellt, jedoch noch nicht zur Bank hochgeladen wurden.

Returns:
  Liste der Dauerauftraege.
Throws:
  `RemoteException`

### getSepaDauerauftraege

de.willuhn.datasource.rmi.DBIterator getSepaDauerauftraege() throws RemoteException
Liefert alle SEPA-Dauerauftraege, die fuer das Konto vorliegen. Dabei werden auch jene geliefert, die lokal erstellt, jedoch noch nicht zur Bank hochgeladen wurden.

Returns:
  Liste der SEPA-Dauerauftraege.
Throws:
  `RemoteException`

### getLastschriften

de.willuhn.datasource.rmi.DBIterator getLastschriften() throws RemoteException
Liefert alle Lastschriften, die fuer das Konto vorliegen.

Returns:
  Liste der Lastschriften.
Throws:
  `RemoteException`

### getSammelLastschriften

de.willuhn.datasource.rmi.DBIterator getSammelLastschriften() throws RemoteException
Liefert alle Sammel-Lastschriften, die fuer das Konto vorliegen.

Returns:
  Liste der Lastschriften.
Throws:
  `RemoteException`

### getSammelUeberweisungen

de.willuhn.datasource.rmi.DBIterator getSammelUeberweisungen() throws RemoteException
Liefert alle Sammel-Ueberweisungen, die fuer das Konto vorliegen.

Returns:
  Liste der Sammelueberweisungen.
Throws:
  `RemoteException`

### getProtokolle

de.willuhn.datasource.rmi.DBIterator getProtokolle() throws RemoteException
Liefert die HBCI-Protokollierung des Kontos in Form einer Liste von Protokoll-Objekten.

Returns:
  Liste von Protokoll-Objekten.
Throws:
  `RemoteException`

### getKontoauszuege

de.willuhn.datasource.rmi.DBIterator getKontoauszuege() throws RemoteException
Liefert die Liste der Kontoauszuege.

Returns:
  die Liste der Kontoauszuege.
Throws:
  `RemoteException`

### addToProtokoll

void addToProtokoll(String kommentar, int protokollTyp) throws RemoteException
Fuegt den uebergebenen Text zum Konto-Protokoll hinzu.

Parameters:
  `kommentar` - der hinzuzufuegende Text.
  `protokollTyp` - Typ des Protokoll-Eintrags. Siehe `de.willuhn.jameica.hbci.rmi.Protokoll`.
Throws:
  `RemoteException`

### setKommentar

void setKommentar(String kommentar) throws RemoteException
Speichert einen zusaetzlichen Kommentar fuer das Konto.

Parameters:
  `kommentar` -
Throws:
  `RemoteException`

### getKommentar

String getKommentar() throws RemoteException
Liefert einen zusaetzlichen Kommentar fuer das Konto.

Returns:
  Kommentar.
Throws:
  `RemoteException`

### getBic

String getBic() throws RemoteException
Liefert die BIC.

Returns:
  die BIC.
Throws:
  `RemoteException`

### setBic

void setBic(String bic) throws RemoteException
Speichert die BIC.

Parameters:
  `bic` - die BIC.
Throws:
  `RemoteException`

### getIban

String getIban() throws RemoteException
Liefert die IBAN.

Returns:
  die IBAN.
Throws:
  `RemoteException`

### setIban

void setIban(String iban) throws RemoteException
Speichert die IBAN.

Parameters:
  `iban` - die IBAN.
Throws:
  `RemoteException`

### getKategorie

String getKategorie() throws RemoteException
Liefert einen Freitext mit der Kategorie.

Returns:
  Freitext mit der Kategorie.
Throws:
  `RemoteException`

### setKategorie

void setKategorie(String kategorie) throws RemoteException
Speichert die Kategorie.

Parameters:
  `kategorie` - die Kategorie.
Throws:
  `RemoteException`